using UnityEngine;
using System.Collections;

public class Porta : MonoBehaviour {
	public TipoPorta tipo;
	public GameObject ativacao;
	public GameObject[] jogadores;
	public bool aberta;

	void Start() {
		jogadores = GameObject.FindGameObjectsWithTag ("jogador");
	}

	void AbrePorta () {
		if (!aberta) {
						this.GetComponent<Animator> ().SetTrigger ("AbrePorta");
			audio.Play();
				}
		aberta = true;
	}
	
	void Update() {
		if (aberta)
						return;
		for (int i = 0; i < jogadores.Length; i++) {
			if(Vector3.Distance(jogadores[i].transform.position, this.transform.position) < 7) {
				if(tipo == TipoPorta.NORMAL) {
					AbrePorta();
				}
				if(tipo == TipoPorta.COM_CHAVE && jogadores[i].GetComponent<Inventario>().temChave(ativacao)) {
					AbrePorta();
				}
				if(tipo == TipoPorta.COM_BOTAO && ativacao.GetComponent<Maquina>().pctCompleto >= 100) {
					AbrePorta();
				}
			}

		}
	}
}
